<?php

add_action('init', 'sg_register_post_types');

function sg_register_post_types()
{
	register_post_type('portfolio', array(
		'labels' => array(
			'name' => __('Portfolio', SG_TDN),
			'singular_name' => __('Portfolio Post', SG_TDN),
			'add_new' => __('Add New', SG_TDN),
			'add_new_item' => __('Add New Portfolio Post', SG_TDN),
			'edit' => __('Edit', SG_TDN),
			'edit_item' => __('Edit Portfolio Post', SG_TDN),
			'new_item' => __('New Portfolio Post', SG_TDN),
			'view' => __('View Portfolio', SG_TDN),
			'view_item' => __('View Portfolio Post', SG_TDN),
			'search_items' => __('Search Portfolio Posts', SG_TDN),
			'not_found' => __('No portfolio posts found', SG_TDN),
			'not_found_in_trash' => __('No portfolio posts in Trash', SG_TDN),
			'parent' => __('Parent Portfolio', SG_TDN),
		),
		'public' => true,
		'menu_position' => 5,
		'supports' => array('title', 'editor'),
		'rewrite' => array('slug' => _sg('General')->getPortfolioSlug(), 'with_front' => false)
	));

	register_taxonomy('portfolio_category', 'portfolio', array('label' => __('Portfolio Categories', SG_TDN), 'hierarchical' => false, 'rewrite' => array('slug' => _sg('General')->getPortfolioCSlug())));
	register_taxonomy('portfolio_tag', 'portfolio', array('label' => __('Portfolio Tags', SG_TDN), 'hierarchical' => false, 'rewrite' => array('slug' => _sg('General')->getPortfolioTSlug())));

	if (get_option(SG_SLUG . 'sgp-general-changed')) {
		global $wp_rewrite;
		$wp_rewrite->flush_rules();
		delete_option(SG_SLUG . 'sgp-general-changed');
	}
}