<?php

require_once SG_TEMPLATEPATH . '/functions/futures/core.php';

$sg_main_menu = array();

function sg_the_date()
{
	$the_date = apply_filters('the_date', get_the_date(''), '', '', '');
	echo $the_date;
}

function sg_the_tag_list($t = 'post_tag', $c = '', $l = TRUE)
{
	$terms = get_the_terms(NULL, $t);

	if (is_wp_error($terms)) return $terms;
	if (empty($terms)) return false;

	$term_links = array();

	foreach ($terms as $term) {
		$link = get_term_link($term, $t);
		if (is_wp_error($link)) return $link;
		$term_links[] = $l ? '<a href="' . esc_url($link) . '" rel="tag">' . $term->name . '</a>' : $term->name;
	}

	return join($c, $term_links);
}

function sg_the_category($echo = TRUE)
{
	$categories = get_the_terms(NULL, 'category');
	if (! $categories)
		$categories = array();

	$categories = array_values($categories);
	$categories = apply_filters('get_the_categories', $categories);

	if (!empty($categories)) {
		$category = $categories[0];
		$category_link = get_category_link($category->term_id);
		if (!$echo)	return '<a href="' . $category_link . '">' . $category->name . '</a>';
		echo '<a href="' . $category_link . '">' . $category->name . '</a>';
	}
}

function sg_the_portfolio_category($id = false, $echo = TRUE) {
	$categories = get_the_terms($id, 'portfolio_category');
	if (!$categories)
		$categories = array();

	$categories = array_values($categories);
	$cats = array();

	foreach (array_keys($categories) as $key) {
		$cats[] = str_replace(' ', '-', strtolower($categories[$key]->name));
	}

	if (!$echo) return implode(' ', $cats);
	echo implode(' ', $cats);
}

function sg_the_title()
{
	$title = get_the_title();

	if (is_category()) {
		$title = sprintf(__('%s Category', SG_TDN), single_cat_title());
	} elseif (is_tag()) {
		$title = sprintf(__('%s Tag', SG_TDN), single_tag_title());
	} elseif (is_day()) {
		$title = sprintf(__('Archive for %s', SG_TDN), get_the_time('d M, Y'));
	} elseif (is_month()) {
		$title = sprintf(__('Archive for %s', SG_TDN), get_the_time('M, Y'));
	} elseif (is_year()) {
		$title = sprintf(__('Archive for %s', SG_TDN), get_the_time('Y'));
	} elseif (is_search()) {
		$title = __('Search Results', SG_TDN);
	} elseif (is_author()) {
		$title = __('Author Archive', SG_TDN);
	} elseif (is_archive()) {
		if (sg_term() == 'portfolio') {
			$title = __('Portfolio Archive', SG_TDN);
		} else {
			$title = __('Blog Archive', SG_TDN);
		}
	} elseif (is_attachment()) {
		$title = __('Attachment', SG_TDN);
	} elseif (is_404()) {
		$title = __('404 - File Not Found', SG_TDN);
	} elseif (is_home()) {
		$title = __('Hello!!!', SG_TDN);
	}

	echo $title;
}

function sg_the_meta_title()
{
	echo '<title>';
		bloginfo('name');
		echo ' :: ';
		sg_the_title();
	echo '</title>';
}

function sg_breadcrumbs()
{
	global $post;
	$sep = '</li><li>';
	$front = get_option('page_on_front');
	$bpages = array();
	$ppages = array();

	echo '<ul class="alignright"><li>';
	echo '<a href="' . home_url() . '">' . __('Home', SG_TDN) . '</a>';

	if (is_page() && $post->post_parent) {
		$anc = get_post_ancestors($post->ID);
		$anc = array_reverse($anc);
		foreach ($anc as $ancestor) {
			if ($ancestor != $front) {
				echo $sep . '<a href="'.get_permalink($ancestor).'">'.get_the_title($ancestor).'</a>';
			}
		}
	}

	if (is_archive() OR is_author() OR is_date() OR is_single()) {
		$get_posts = new WP_Query;
		$pages = $get_posts->query('post_type=page&posts_per_page=-1');
		foreach ($pages as $page) {
			$post_custom = get_post_custom($page->ID);
			if ($post_custom['_wp_page_template'][0] == 'pg-blog.php') {
				$bpages[] = $page->ID;
			}
			if ($post_custom['_wp_page_template'][0] == 'pg-portfolio.php') {
				$ppages[] = $page->ID;
			}
		}
		if (_sg('Post')->getParent() != '#') $bpages[-1] = _sg('Post')->getParent();
		if (_sg('PortfolioPost')->getParent() != '#') $ppages[-1] = _sg('PortfolioPost')->getParent();
	}

	if (sg_term() == 'portfolio') {
		if (isset($ppages[-1])) {
			if ($ppages[-1] != $front) {
				echo $sep . '<a href="'.get_permalink($ppages[-1]).'">'.get_the_title($ppages[-1]).'</a>';
			}
		} else {
			if (isset($ppages[0]) AND $ppages[0] != $front) {
				echo $sep . '<a href="'.get_permalink($ppages[0]).'">'.get_the_title($ppages[0]).'</a>';
			} elseif (isset($bpages[1]) AND $bpages[1] != $front) {
				echo $sep . '<a href="'.get_permalink($ppages[1]).'">'.get_the_title($ppages[1]).'</a>';
			}
		}
	} elseif (is_archive() OR is_author() OR is_date()) {
		if (isset($bpages[-1])) {
			if ($bpages[-1] != $front) {
				echo $sep . '<a href="'.get_permalink($bpages[-1]).'">'.get_the_title($bpages[-1]).'</a>';
			}
		} else {
			if (isset($bpages[0]) AND $bpages[0] != $front) {
				echo $sep . '<a href="'.get_permalink($bpages[0]).'">'.get_the_title($bpages[0]).'</a>';
			} elseif (isset($bpages[1]) AND $bpages[1] != $front) {
				echo $sep . '<a href="'.get_permalink($bpages[1]).'">'.get_the_title($bpages[1]).'</a>';
			}
		}
	}

	if (is_single()) {
		if(get_post_type() == 'post') {
			if (isset($bpages[-1])) {
				if ($bpages[-1] != $front) {
					echo $sep . '<a href="'.get_permalink($bpages[-1]).'">'.get_the_title($bpages[-1]).'</a>';
				}
			} else {
				if (isset($bpages[0]) AND $bpages[0] != $front) {
					echo $sep . '<a href="'.get_permalink($bpages[0]).'">'.get_the_title($bpages[0]).'</a>';
				} elseif (isset($bpages[1]) AND $bpages[1] != $front) {
					echo $sep . '<a href="'.get_permalink($bpages[1]).'">'.get_the_title($bpages[1]).'</a>';
				}
			}
		} elseif (get_post_type() == 'portfolio') {
			if (isset($ppages[-1])) {
				if ($ppages[-1] != $front) {
					echo $sep . '<a href="'.get_permalink($ppages[-1]).'">'.get_the_title($ppages[-1]).'</a>';
				}
			} else {
				if (isset($ppages[0]) AND $ppages[0] != $front) {
					echo $sep . '<a href="'.get_permalink($ppages[0]).'">'.get_the_title($ppages[0]).'</a>';
				} elseif (isset($bpages[1]) AND $bpages[1] != $front) {
					echo $sep . '<a href="'.get_permalink($ppages[1]).'">'.get_the_title($ppages[1]).'</a>';
				}
			}
		}
	}

	echo $sep;
	sg_the_title();
	echo '</li></ul>';
}

function sg_right_sidebar_b()
{
	$opt1 = array(
			'before_widget' => '<div class="one_half"><div id="dr-categories" class="widget_categories bottom-2_4em">',
			'after_widget' => '</div></div>',
			'before_title' => '<h5>',
			'after_title' => '</h5>',
		);
	$opt2 = array(
			'before_widget' => '<div class="one_half"><div id="dr-archives" class="widget_archive bottom-2_4em">',
			'after_widget' => '</div></div>',
			'before_title' => '<h5>',
			'after_title' => '</h5>',
		);
	$opt3 = array(
			'before_widget' => '<div class="one_half"><div id="dr-tag_cloud" class="widget_tag_cloud bottom-2_4em">',
			'after_widget' => '</div></div>',
			'before_title' => '<h5>',
			'after_title' => '</h5>',
		);

	the_widget('WP_Widget_Categories', '', $opt1);
	the_widget('WP_Widget_Archives', '', $opt2);
	the_widget('WP_Widget_Tag_Cloud', '', $opt3);
}

function sg_right_sidebar_p()
{
	$opt1 = array(
			'before_widget' => '<div class="one_half"><div id="dr-portfolio-categories" class="widget_portfolio_categories bottom-2_4em">',
			'after_widget' => '</div></div>',
			'before_title' => '<h5>',
			'after_title' => '</h5>',
		);
	$opt2 = array(
			'before_widget' => '<div class="one_half"><div id="dr-portfolio-tag_cloud" class="widget_portfolio_tag_cloud bottom-2_4em">',
			'after_widget' => '</div></div>',
			'before_title' => '<h5>',
			'after_title' => '</h5>',
		);

	the_widget('SG_Widget_Portfolio_Categories', '', $opt1);
	the_widget('SG_Widget_Portfolio_Tag_Cloud', '', $opt2);
}

function sg_right_sidebar()
{
	$opt0 = array(
			'before_widget' => '<div class="one_half"><div id="dr-search" class="widget_search bottom-2_4em">',
			'after_widget' => '</div></div>',
			'before_title' => '<h5>',
			'after_title' => '</h5>',
		);

	the_widget('WP_Widget_Search', array('title' => __('Search', SG_TDN)), $opt0);
}

function sg_bottom_sidebar()
{
	$opt1 = array(
		'before_widget' => '<div class="one_fourth"><div id="df-categories" class="widget_categories bottom-2_4em">',
		'after_widget' => '</div></div>',
		'before_title' => '<h5>',
		'after_title' => '</h5>',
	);
	$opt2 = array(
		'before_widget' => '<div class="one_fourth"><div id="df-tag-cloud" class="widget_tag_cloud bottom-2_4em">',
		'after_widget' => '</div></div>',
		'before_title' => '<h5>',
		'after_title' => '</h5>',
	);
	$opt3 = array(
		'before_widget' => '<div class="one_fourth"><div id="df-recent-posts" class="widget_recent_posts bottom-2_4em">',
		'after_widget' => '</div></div>',
		'before_title' => '<h5>',
		'after_title' => '</h5>',
	);
	$opt4 = array(
		'before_widget' => '<div class="one_fourth"><div id="df-recent-comments" class="widget_recent_comments bottom-2_4em">',
		'after_widget' => '</div></div>',
		'before_title' => '<h5>',
		'after_title' => '</h5>',
	);
	$opt5 = array(
		'before_widget' => '<div class="one_fourth"><div id="df-sg-portfolio-categories" class="widget_portfolio_categories bottom-2_4em">',
		'after_widget' => '</div></div>',
		'before_title' => '<h5>',
		'after_title' => '</h5>',
	);
	$opt6 = array(
		'before_widget' => '<div class="one_fourth"><div id="df-sg-portfolio-tag_cloud" class="widget_portfolio_tag_cloud bottom-2_4em">',
		'after_widget' => '</div></div>',
		'before_title' => '<h5>',
		'after_title' => '</h5>',
	);

	the_widget('WP_Widget_Categories', NULL, $opt1);
	the_widget('WP_Widget_Tag_Cloud', NULL, $opt2);
	the_widget('WP_Widget_Recent_Posts', NULL, $opt3);
	the_widget('WP_Widget_Recent_Comments', NULL, $opt4);
	the_widget('SG_Widget_Portfolio_Categories', NULL, $opt5);
	the_widget('SG_Widget_Portfolio_Tag_Cloud', NULL, $opt6);
}

function sg_pagination($max, $blog = '')
{
	if ($max > 1) {
		$paged = sg_paged();
		if (_sg('General')->getPagingType() == 'static') {
?>
			<hr class="ef-blank" />
			<div class="ef-pagination">
				<?php _e('Pages:', SG_TDN); ?>
				<a href="<?php echo get_pagenum_link(); ?>"<?php echo ($paged == 1) ? ' class="page-active"' : '' ?>><span>1</span></a>
				<?php
					echo ($paged > 7) ? '<span>...</span>' : '';
					for ($i = ($paged - 5); $i < ($paged + 6); $i++) {
						if ($i > 1 AND $i < $max) {
				?>
				<a href="<?php echo get_pagenum_link($i); ?>"<?php echo ($paged == $i) ? ' class="page-active"' : '' ?>><span><?php echo $i; ?></span></a>
				<?php
						}
					}
					echo ($paged < ($max - 6)) ? '<span>...</span>' : '';
				?>
				<a href="<?php echo get_pagenum_link($max); ?>"<?php echo ($paged == $max) ? ' class="page-active"' : '' ?>><span><?php echo $max; ?></span></a>
			</div>
<?php
		} elseif ($paged != $max) {
?>
			<a class="ef-archive" href="<?php echo get_pagenum_link($paged + 1); ?>">
				<?php echo empty($blog) ? _e('Get More', SG_TDN) : ($blog == 'blog' ? _sg('General')->getBlogMore() : _sg('General')->getPortfolioMore()); ?>
			</a>
<?php
		}
	}
}

function sg_navigation($position = 'left', $in_same_cat = false, $excluded_categories = '')
{
	$type = 'yes';
	if ($position == 'left') {
		if (_sg('HandF')->getNearType() == 'no') return FALSE;
		$type = _sg('HandF')->getNearType();
	}
	if ($type == 'title') {
		$prev = '%title';
		$next = '%title';
	} elseif ($type == 'yes') {
		if ($position == 'left') {
			if (sg_get_tpl() == 'post|default') {
				$prev = __('Previous post', SG_TDN);
				$next = __('Next post', SG_TDN);
			} elseif (sg_get_tpl() == 'portfolio|default') {
				$prev = __('Previous work', SG_TDN);
				$next = __('Next work', SG_TDN);
			} else {
				$prev = __('Previous page', SG_TDN);
				$next = __('Next page', SG_TDN);
			}
		} else {
			$prev = __('Previous', SG_TDN);
			$next = __('Next', SG_TDN);
		}
	}
	if ($position == 'left') {
		sg_adjacent_post_url('%link', '<span class="ef-tooltip">' . $next . '</span>', 'ef-next-page', $in_same_cat, $excluded_categories, FALSE);
		sg_adjacent_post_url('%link', '<span class="ef-tooltip">' . $prev . '</span>', 'ef-prev-page', $in_same_cat, $excluded_categories);
	} else {
?>
	<div class="shortcode-wrapper">
		<div class="one_half">
			<?php if (!sg_adjacent_post_url('%link', $prev, 'ef-button ef-big-btn ef-prev', $in_same_cat, $excluded_categories)) echo '&nbsp;'; ?>
		</div>
		<div class="one_half">
			<?php if (!sg_adjacent_post_url('%link', $next, 'ef-button ef-big-btn',$in_same_cat, $excluded_categories, FALSE)) echo '&nbsp;';; ?>
		</div>
	</div>
<?php
	}
}

function sg_adjacent_post_url($format, $link, $class = '', $in_same_cat = false, $excluded_categories = '', $previous = true)
{
	global $sg_main_menu;

	if (is_page() OR sg_get_tpl() == 'page|blog' OR sg_get_tpl() == 'page|portfolio') {
		if (count($sg_main_menu) < 2 OR !in_array('current', $sg_main_menu) OR ($previous AND $sg_main_menu[0] == 'current') OR (!$previous AND $sg_main_menu[count($sg_main_menu) - 1] == 'current')) {
			$post = FALSE;
		} else {
			$prev = '';
			foreach ($sg_main_menu as $value) {
				if ($previous AND $value == 'current') {
					$post = & get_post($prev);
					break;
				} elseif (!$previous AND $prev == 'current') {
					$post = & get_post($value);
					break;
				} else {
					$prev = $value;
				}
			}
		}
	} elseif ($previous && is_attachment()) {
		$post = & get_post($GLOBALS['post']->post_parent);
	} else {
		$post = get_adjacent_post($in_same_cat, $excluded_categories, $previous);
	}

	if (!$post)
		return FALSE;

	$title = $post->post_title;

	if ( empty($post->post_title) )
		$title = $previous ? __('Previous Post') : __('Next Post');

	$title = apply_filters('the_title', $title, $post->ID);
	$date = mysql2date(get_option('date_format'), $post->post_date);
	$rel = $previous ? 'prev' : 'next';

	$string = '<a class="'.$class.'" href="'.get_permalink($post).'" rel="'.$rel.'">';
	$link = str_replace('%title', $title, $link);
	$link = str_replace('%date', $date, $link);
	$link = $string . $link . '</a>';

	$format = str_replace('%link', $link, $format);

	$adjacent = $previous ? 'previous' : 'next';
	echo apply_filters( "{$adjacent}_post_link", $format, $link );
	return TRUE;
}

function sg_comments_navigation($max)
{
	if (!get_option('page_comments')) return;
	if ($max > 1) {
		$dcp = get_option('default_comments_page', 'newest');
		$paged = sg_comment_paged();
		if (_sg('General')->getPagingType() == 'static') {
?>
			<div class="ef-pagination-comments">
				<?php previous_comments_link('<span class="ef-older-pg">' . __('Older Comments', SG_TDN) . '</span>'); ?>
				<?php next_comments_link('<span class="ef-newer-pg">' . __('Newer Comments', SG_TDN) . '</span>'); ?>
			</div>
<?php
		} elseif ($dcp == 'oldest' AND $paged != $max) {
?>
			<a class="ef-archive" rel="new" href="<?php echo esc_url(get_comments_pagenum_link($paged + 1, $max)); ?>"><?php _e('Newer Comments', SG_TDN); ?></a>
<?php
		} elseif ($dcp == 'newest' AND $paged != 1) {
?>
			<a class="ef-archive" rel="old" href="<?php echo esc_url(get_comments_pagenum_link($paged - 1, $max)); ?>"><?php _e('Older Comments', SG_TDN); ?></a>
<?php
		}
	}
}

function sg_comment($comment, $args, $depth)
{
	$GLOBALS['comment'] = $comment;
	$autor_url = get_comment_author_url();
	$autor_url = empty($autor_url) ? '#comment-' . get_comment_ID() : $autor_url;
	$autor_url = '<a class="ef-avatar alignleft" href="' . $autor_url . '">'. get_avatar($comment, 60) . '</a>';
?>
	<li style="list-style: none;">
		<?php echo $autor_url; ?>
		<div <?php comment_class('post-comm'); ?> id="comment-<?php comment_ID(); ?>">
			<?php edit_comment_link(__('(Edit)', SG_TDN), ' '); ?>
			<div class="auth">
				<strong><?php comment_author_link(); ?></strong>&nbsp;<?php _e('says:', SG_TDN) ?><span><?php printf(__('%1$s at %2$s', SG_TDN), get_comment_date('F d, Y'), get_comment_time()); ?></span>
				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em class="comment-awaiting-moderation"><?php _e('Your comment is awaiting moderation.', SG_TDN); ?></em>
				<?php endif; ?>
			</div>
			<?php comment_text(); ?>
			<?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth'], 'reply_text' => __('Reply', SG_TDN), 'login_text' => __('Login to Reply', SG_TDN)))); ?>
		</div>
<?php
}

function sg_comment_form( $args = array(), $post_id = null )
{
	global $id;

	if ( null === $post_id )
		$post_id = $id;
	else
		$id = $post_id;

	$commenter = wp_get_current_commenter();
	$user = wp_get_current_user();
	$user_identity = ! empty( $user->ID ) ? $user->display_name : '';

	$req = get_option('require_name_email');
	$aria_req = ($req ? " aria-required='true'" : '');
	$aria_req_l = ($req ? '*' : '');
	$fields =  array(
		'author' => '<div><label>' . __('Name', SG_TDN) . $aria_req_l . '</label><div><input id="name" name="author" type="text" value="' . esc_attr($commenter['comment_author']) . '" size="30"' . $aria_req . ' /></div></div>',
		'email'  => '<div><label>' . __('E-mail', SG_TDN) . $aria_req_l . '</label><div><input id="email" name="email" type="text" value="' . esc_attr($commenter['comment_author_email']) . '" size="30"' . $aria_req . ' /></div></div>',
		'url'    => '<div><label>' . __('Website', SG_TDN) . '</label><div><input id="website" name="url" type="text" value="' . esc_attr($commenter['comment_author_url']) . '" size="30" /></div></div>',
	);

	$required_text = '<span class="alignright">' . __('* required', SG_TDN) . '</span>';
	$defaults = array(
		'fields'               => apply_filters('comment_form_default_fields', $fields),
		'comment_field'        => '<div class="ef-textarea"><label>' . __('Message', SG_TDN) .'</label><div><textarea id="message" name="comment" aria-required="true"></textarea></div></div>',
		'must_log_in'          => '<p class="must-log-in">' .  sprintf(__('You must be <a href="%s">logged in</a> to post a comment.', SG_TDN), wp_login_url(apply_filters('the_permalink', get_permalink($post_id)))) . '</p>',
		'logged_in_as'         => '<p class="logged-in-as">' . sprintf(__('Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', SG_TDN), admin_url('profile.php'), $user_identity, wp_logout_url(apply_filters('the_permalink', get_permalink($post_id)))) . '</p>',
		'comment_notes_before' => '',
		'comment_notes_after'  => ( $req ? $required_text : '' ),
		'id_form'              => 'ef-reply',
		'id_submit'            => 'send',
		'title_reply'          => __('Leave a reply', SG_TDN),
		'title_reply_to'       => __('Leave a Reply to %s', SG_TDN),
		'cancel_reply_link'    => __('(Cancel reply)', SG_TDN),
		'label_submit'         => __('Send', SG_TDN),
	);

	$args = wp_parse_args($args, apply_filters('comment_form_defaults', $defaults));

	?>
		<?php if ( comments_open() ) : ?>
			<?php do_action('comment_form_before'); ?>
			<div id="respond" class="<?php echo ((is_user_logged_in()) ? ' respond-logged' : ''); ?>">
				<div class="shortcode-wrapper">
					<div class="one_half">
						<h4 id="reply-title"><?php comment_form_title($args['title_reply'], $args['title_reply_to']); ?>: <small><?php cancel_comment_reply_link($args['cancel_reply_link']); ?></small></h4>
						<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
							<?php echo $args['must_log_in']; ?>
							<?php do_action('comment_form_must_log_in_after'); ?>
						<?php else : ?>
							<form action="<?php echo site_url('/wp-comments-post.php'); ?>" method="post" class="ef-form" id="<?php echo esc_attr($args['id_form']); ?>">
								<?php do_action('comment_form_top'); ?>
								<?php if ( is_user_logged_in() ) : ?>
									<?php echo apply_filters('comment_form_logged_in', $args['logged_in_as'], $commenter, $user_identity); ?>
									<?php do_action('comment_form_logged_in_after', $commenter, $user_identity); ?>
								<?php else : ?>
									<?php echo $args['comment_notes_before']; ?>
									<?php
									do_action('comment_form_before_fields');
									foreach ((array) $args['fields'] as $name => $field) {
										echo apply_filters("comment_form_field_{$name}", $field) . "\n";
									}
									do_action('comment_form_after_fields');
									?>
								<?php endif; ?>
								<?php echo apply_filters('comment_form_field_comment', $args['comment_field']); ?>
								<div class="send-wrap">
									<div class="alignleft">
										<input name="submit" type="submit" class="send" id="<?php echo esc_attr($args['id_submit']); ?>" value="<?php echo esc_attr($args['label_submit']); ?>" />
									</div>
									<?php echo $args['comment_notes_after']; ?>
									<?php comment_id_fields( $post_id ); ?>
								</div>
								<?php do_action( 'comment_form', $post_id ); ?>
							</form>
						<?php endif; ?>
					</div>
				</div>
			</div><!-- #respond -->
			<?php do_action('comment_form_after'); ?>
		<?php else : ?>
			<?php do_action('comment_form_comments_closed'); ?>
		<?php endif; ?>
	<?php
}

function sg_header_css()
{
	wp_register_style('reset-style', get_template_directory_uri() . '/css/reset.css', false);
	wp_register_style('theme-style', get_template_directory_uri() . '/css/style.css', false);
	wp_register_style('layout-style', get_template_directory_uri() . '/css/additional-fluid.css', false);
	wp_register_style('shortcodes', get_template_directory_uri() . '/css/shortcodes.css', false);
	wp_register_style('style', get_stylesheet_uri(), false);
	wp_register_style('flexslider', get_template_directory_uri() . '/js/flexslider/flexslider.css', false);
	wp_register_style('ui-lightness', get_template_directory_uri() . '/js/ui-lightness/lightbox.css', false);
	wp_register_style('supersized', get_template_directory_uri() . '/js/supersized/supersized.css', false);
	wp_register_style('supersized.shutter', get_template_directory_uri() . '/js/supersized/theme/supersized.shutter.css', false);

	wp_enqueue_style('reset-style');
	wp_enqueue_style('ui-lightness');
	wp_enqueue_style('flexslider');

	if (_sg('General')->getLoadType() == 'ajax' OR _sg('Slider')->getBodyClass(sg_get_tpl()) != 'ef-noslider') {
		wp_enqueue_style('supersized');
		wp_enqueue_style('supersized.shutter');
	}

	wp_enqueue_style('theme-style');
	wp_enqueue_style('style');
	wp_enqueue_style('shortcodes');
	wp_enqueue_style('layout-style');
}

function sg_header_js()
{
?>
	<script type="text/javascript">
		sg_site_url = "<?php echo home_url(); ?>";
		sg_template_url = "<?php echo get_template_directory_uri(); ?>";
	</script>
<?php
	wp_register_script('jquery.ui.rlightbox.custom', get_template_directory_uri() . '/js/jquery.ui.rlightbox.custom.min.js', array('jquery-ui-core', 'jquery-ui-widget'));
	wp_register_script('jquery.mobilemenu', get_template_directory_uri() . '/js/jquery.mobilemenu.js', false);
	wp_register_script('jquery.fittext', get_template_directory_uri() . '/js/jquery.fittext.js', false);
	wp_register_script('jquery.scrollTo', get_template_directory_uri() . '/js/jquery.scrollTo-min.js', false);
	wp_register_script('jquery.nicescroll', get_template_directory_uri() . '/js/jquery.nicescroll.min.js', false);
	wp_register_script('jquery.touchSwipe', get_template_directory_uri() . '/js/jquery.touchSwipe.min.js', false);
	wp_register_script('jquery.flexslider', get_template_directory_uri() . '/js/flexslider/jquery.flexslider.min.js', false);
	wp_register_script('jquery.tweet', get_template_directory_uri() . '/js/tweet/jquery.tweet.min.js', false);
	wp_register_script('jquery.jflickrfeed', get_template_directory_uri() . '/js/jflickrfeed.min.js', false);
	wp_register_script('jquery.isotope', get_template_directory_uri() . '/js/jquery.isotope.min.js', false);
	wp_register_script('modernizr', get_template_directory_uri() . '/js/modernizr-custom.js', false);
	wp_register_script('css3-mediaqueries', get_template_directory_uri() . '/js/css3-mediaqueries.js', false);
	wp_register_script('lavalamp', get_template_directory_uri() . '/js/lavalamp.min.js', false);
	wp_register_script('supersized', get_template_directory_uri() . '/js/supersized/supersized.3.2.7.min.js', false);
	wp_register_script('supersized.cshutter', get_template_directory_uri() . '/js/supersized/theme/supersized.cshutter.min.js', false);
	wp_register_script('sg-maps-api', 'http://maps.google.com/maps/api/js?sensor=false', false);
	wp_register_script('sg-maps-goMap', get_template_directory_uri() . '/js/goMap-1.3.2.min.js', false);
	wp_register_script('sniper-form', get_template_directory_uri() . '/js/sniper-form.js', false);
	wp_register_script('sg-custom', get_template_directory_uri() . '/js/custom.js', false);

	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script('jquery-ui-widget');
	wp_enqueue_script('jquery-ui-accordion');
	wp_enqueue_script('jquery-ui-tabs');
	wp_enqueue_script('jquery-effects-core');
	wp_enqueue_script('jquery-effects-blind');
	wp_enqueue_script('jquery-effects-fade');
	wp_enqueue_script('jquery-effects-slide');
	wp_enqueue_script('modernizr');
	wp_enqueue_script('css3-mediaqueries');
	wp_enqueue_script('jquery.ui.rlightbox.custom');
	wp_enqueue_script('jquery.mobilemenu');
	wp_enqueue_script('jquery.fittext');
	wp_enqueue_script('jquery.scrollTo');
	wp_enqueue_script('jquery.nicescroll');
	wp_enqueue_script('lavalamp');
	wp_enqueue_script('jquery.touchSwipe');
	wp_enqueue_script('jquery.flexslider');
	wp_enqueue_script('jquery.tweet');
	wp_enqueue_script('jquery.jflickrfeed');
	wp_enqueue_script('jquery.isotope');

	if (_sg('General')->getLoadType() == 'ajax' OR _sg('Slider')->getBodyClass(sg_get_tpl()) != 'ef-noslider') {
		wp_enqueue_script('supersized');
		wp_enqueue_script('supersized.cshutter');
	}

	if (_sg('General')->getLoadType() == 'ajax' OR sg_get_tpl() == 'page|contact') {
		wp_enqueue_script('sniper-form');
		wp_enqueue_script('sg-maps-api');
		wp_enqueue_script('sg-maps-goMap');
	}

	if (is_singular() AND _sg('Post')->showComments() AND get_option('thread_comments')) {
		wp_enqueue_script('sniper-form');
		wp_enqueue_script('comment-reply');
	}

	wp_enqueue_script('sg-custom');

	if (SG_DEMO_MODE) sg_demo_header();
}

function sg_footer_js()
{
	if (SG_DEMO_MODE) sg_demo_body();
}

function sg_header_meta()
{
	if (_sg('Modules')->enabled('SEO')) {
		if (!_sg('SEO')->eTitle()) sg_the_meta_title();
		if (sg_get_tpl() == 'post|default' OR sg_get_tpl() == 'portfolio|default') {
			$pt = array();
			$term = (sg_get_tpl() == 'post|default') ? 'post_tag' : 'portfolio_tag';
			$tags = get_the_terms(NULL, $term);
			if (empty($tags)) $tags = array();

			foreach ($tags as $id => $tag) {
				$pt[] = $tag->name;
			}

			_sg('SEO')->setPostTags($pt);
		}
		_sg('SEO')->eMeta();
	} else {
		sg_the_meta_title();
	}
}