<?php

class SG_HandF_Module extends SG_Module {

	const moduleName = 'HandF';

	protected static $instance;
	protected static $_vars = NULL;

	protected static $_params = array(
		'show_description' => FALSE,
	);

	protected static $_fields = array();
	protected static $_description = NULL;

	private function __construct()
	{
		self::$_fields = array(
			'description' => array(
				'name' => __('Page description', SG_TDN),
				'type' => 'text',
				'default' => '',
				'help' => __('Page description below the page title in the Mainbar. Use <span>...</span> to highlight text', SG_TDN),
			),
			'toggle_text' => array(
				'name' => __('"Toggle FullScreen" Tab', SG_TDN),
				'type' => 'input',
				'default' => 'Toggle FullScreen',
				'show' => self::SHOW_GLOBAL,
				'help' => __('Your text in the tooltip for the "Toggle FullScreen" tab', SG_TDN),
			),
			'more_text' => array(
				'name' => __('"More Info" tab', SG_TDN),
				'type' => 'input',
				'default' => 'More Info',
				'show' => self::SHOW_GLOBAL,
				'help' => __('Your text in the tooltip for the "More Info" tab', SG_TDN),
			),
			'left_navigation' => array(
				'name' => __('Additional site navigation', SG_TDN),
				'type' => 'select',
				'options' => array(
					'yes' => 'Show',
					'title' => 'Show Titles',
					'no' => 'Hide',
				),
				'default' => 'yes',
				'show' => self::SHOW_GLOBAL,
				'help' => __('Show or hide navigation arrows in the Mainbar. Also you are able to choose "Show Titles" to apply page/post title in the tooltip', SG_TDN),
			),
			'copyright' => array(
				'name' => __('Copyright in the Topbar', SG_TDN),
				'type' => 'input',
				'class' => 'sg-metabox-field sg-metabox-long',
				'default' => '&copy; copyright 2012, Sniper by <a href="http://themeforest.net/user/fireform?ref=fireform">fireform</a> for <a href="http://themeforest.net?ref=fireform">Themeforest.net</a>',
				'show' => self::SHOW_GLOBAL,
				'help' => __('Enter your copyrights text here. You can use HTML tags and attributes', SG_TDN),
			),
		);

		self::$_description = __('Copyrights and social networks data', SG_TDN);
	}

	private function __clone() {}

	public static function getInstance()
	{
		if (is_null(self::$instance)) {
			self::$instance = new SG_HandF_Module;
		}
		return self::$instance;
	}

	public function inited()
	{
		return !is_null(self::$_vars);
	}

	public function initVars($uniq, $params, $defaults, $global, $post_id)
	{
		self::$_vars = self::_initVars(self::moduleName, $uniq, self::$_params, self::$_fields, $params, $defaults, $global, $post_id);
		return TRUE;
	}

	public function setVars($uniq, $post_data, $post_id = NULL)
	{
		if (isset($post_data['page_template']) AND $post_data['page_template'] == 'pg-home.php') {
			update_option('show_on_front', 'page');
			update_option('page_on_front', $post_data['post_ID']);
		}
		return self::_setVars(self::moduleName, $uniq, self::$_fields, $post_data, $post_id);
	}

	public function resetVars($uniq, $post_id = NULL)
	{
		return self::_resetVars(self::moduleName, $uniq, $post_id);
	}

	public function getMenuItem()
	{
		return __('Header & Footer', SG_TDN);
	}

	public function getAdminContent($uniq, $params, $defaults, $global = NULL, $post_id = NULL)
	{
		$description = ($params['show_description']) ? self::$_description : NULL;
		return self::_getAdminContent(self::moduleName, $uniq, self::$_params, self::$_fields, $description, $params, $defaults, $global, $post_id);
	}

	public function eDescription()
	{
		if (!empty(self::$_vars['description'])) {
			echo '<div class="ef-description"><p>' . __(nl2br(strip_tags(__(self::$_vars['description']), '<span>'))) . '</p></div>';
		}
	}

	public function eToggleText()
	{
		echo __(self::$_vars['toggle_text']);
	}

	public function eMoreText()
	{
		echo __(self::$_vars['more_text']);
	}

	public function getNearType()
	{
		return self::$_vars['left_navigation'];
	}

	public function eCopyright()
	{
		if (!empty(self::$_vars['copyright'])) {
			echo __(self::$_vars['copyright']);
		} else {
			echo ' ';
		}
	}

}