<?php
/* ------------------------------------------------------------------------------------------------------------

	Template Name: Blog

------------------------------------------------------------------------------------------------------------ */
?>
<?php get_header(); ?>
<?php
	$prc = _sg('Blog')->getRequiredCategories();
	$args = array(
		'posts_per_page' => _sg('Blog')->getPostsCount(),
		'paged' => sg_paged(),
	);
	if (!empty($prc)) $args['category__in'] = $prc;

	query_posts($args);
?>
<div class="ef-content blog"<?php if (isset($_POST['ef-ajax'])) echo ' style="display:none;"'; ?>>
	<?php if (!isset($_POST['ef-archive'])) { ?>
		<div class="ef-inner-header ef-toggled">
			<div class="ef-page-details">
				<h1><?php the_title(); ?></h1>
				<?php _sg('HandF')->eDescription(); ?>
				<div class="ef-alt-nav">
					<?php sg_navigation('left'); ?>
				</div>
			</div>
			<span class="gradi"></span>
		</div>
	<?php } ?>
	<div class="ef-column ef-fold">
		<div class="ef-col-inner">
			<div class="ef-page-content clearfix">
				<div class="clear"></div>
				<?php if (have_posts()) { ?>
					<div class="ef-blog">
						<div class="shortcode-wrapper">
							<?php while (have_posts()) : the_post(); ?>
								<?php $f = (_sg('Blog')->getFeaturedType() == 'size' AND _sg('Post', TRUE)->isFeatured(get_the_ID())) ? '2x' : ''; ?>
								<?php $n = (_sg('Blog')->isNoImg() AND !has_post_thumbnail(get_the_ID()) AND !(_sg('Post')->getType(get_the_ID()) == 'video' AND _sg('Blog')->getVT() == 'video')) ? ' ef-no-img' : ''; ?>
								<div class="ef-item<?php echo $n; echo (!empty($f)) ? ' ef-featured' : ''; ?>">
									<div class="ef-item-blog">
										<div class="ef-item-inner">
											<div class="proj-img">
												<?php if (_sg('Post')->getType(get_the_ID()) == 'video' AND _sg('Blog')->getVT() == 'video') { ?>
													<div class="ef-video">
														<?php _sg('Post')->eVideo(get_the_ID()); ?>
													</div>
												<?php } elseif (has_post_thumbnail(get_the_ID())) { ?>
													<?php if (_sg('Post')->getType(get_the_ID()) == 'img' AND _sg('Post')->showSlider(get_the_ID()) AND _sg('Blog')->getST() == 'slider') { ?>
														<?php _sg('Post')->eSlider(get_the_ID(), 'sg_post_th' . $f); ?>
													<?php } else { ?>
														<?php echo get_the_post_thumbnail(get_the_ID(), 'sg_post_th' . $f); ?>
														<div class="ef-overlay">
															<?php if (_sg('Post')->getType(get_the_ID()) == 'video') { ?>
																<a class="lb video" href="<?php echo _sg('Post')->getVideoURL(get_the_ID()); ?>" title="<?php the_title(); ?>"></a>
															<?php } else { ?>
																<a class="lb" href="<?php echo wp_get_attachment_url(get_post_thumbnail_id(get_the_ID())); ?>" title="<?php the_title(); ?>"></a>
															<?php } ?>
															<a class="ef-read-more" href="<?php the_permalink(); ?>"></a>
														</div>
													<?php } ?>
												<?php } ?>
											</div>
											<div class="ef-item-description">
												<h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
												<p><?php echo str_replace('<p>', '', str_replace('</p>', '<br />', sg_text_trim(get_the_excerpt(), 200))); ?></p>
											</div>
											<div class="ef-post-details clearfix">
												<div><span><?php the_time('d'); ?></span>&nbsp;<?php the_time('M'); ?></div>
												<div><span class="ef-comments"><?php echo sg_comments_count(); ?></span></div>
												<div><a class="ef-button" href="<?php the_permalink(); ?>"><?php _e('Read More', SG_TDN); ?></a></div>
											</div>
										</div>
									</div>
								</div>
							<?php endwhile; ?>
						</div>
					</div>
				<?php } else {
					echo '<div style="padding:110px 30px;">' . sg_message(__('Blog is empty', SG_TDN)) . '</div>';
				} ?>
			</div>
		</div>
		<?php sg_pagination($wp_query->max_num_pages, 'blog'); ?>
	</div>
</div>
<?php get_footer(); ?>