<?php
/* ------------------------------------------------------------------------------------------------------------

	Template Name: Portfolio

------------------------------------------------------------------------------------------------------------ */
?>
<?php get_header(); ?>
<?php
	$prc = _sg('Portfolio')->getRequiredCategories();
	$args = array(
		'post_type' => 'portfolio',
		'meta_key' => '_thumbnail_id',
		'posts_per_page' => _sg('Portfolio')->getPostsCount(),
		'paged' => sg_paged(),
	);
	if (!empty($prc)) $args['post__in'] = get_objects_in_term($prc, 'portfolio_category');

	query_posts($args);
?>
<div class="ef-content portfolio"<?php if (isset($_POST['ef-ajax'])) echo ' style="display:none;"'; ?>>
	<?php if (!isset($_POST['ef-archive'])) { ?>
		<div class="ef-inner-header ef-toggled">
			<div class="ef-page-details">
				<h1><?php the_title(); ?></h1>
				<div class="ef-description">
					<?php
						$tags = get_terms('portfolio_category');
						$cats = array();
						$all = 0;

						foreach ($tags as $tag) {
							if (empty($prc)) {
								$cats[$tag->term_id] = array('name' => $tag->name, 'count' => $tag->count);
								$all += $tag->count;
							} elseif (in_array($tag->term_id, $prc)) {
								$cats[$tag->term_id] = array('name' => $tag->name, 'count' => $tag->count);
								$all += $tag->count;
							}
						}

						if (count($cats) > 0) {
							$o = array('*' => __('All categories', SG_TDN));
					?>
						<ul class="ef-filter option-set <?php _sg('Portfolio')->eFilterCount(); ?>" data-option-key="filter">
							<li class="current-cat"><a data-option-value="*" href="#"><?php _e('All categories', SG_TDN) ?><span><?php echo $all; ?></span></a></li>
							<?php
								foreach ($cats as $id => $cat) {
									$o[str_replace(' ', '-', strtolower($cat['name']))] = $cat['name'];
									echo '<li><a data-option-value="' . str_replace(' ', '-', strtolower($cat['name'])) . '" href="' . esc_url(get_term_link($id, 'portfolio_category')) . '">' . $cat['name'] . '<span>' . $cat['count'] . '</span></a></li>';
								}
							?>
						</ul>
						<div class="ef-mobile-category-wrapper">
							<?php echo SG_Form::select('', $o, '*', array('class' => 'ef-select-category')) ?>
						</div>
					<?php } ?>
				</div>
				<div class="ef-alt-nav">
					<?php sg_navigation('left'); ?>
				</div>
			</div>
			<span class="gradi"></span>
		</div>
	<?php } ?>
	<div class="ef-column ef-fold">
		<div class="ef-col-inner">
			<?php if (have_posts()) { ?>
				<div class="ef-portfolio">
					<div class="shortcode-wrapper">
						<?php while (have_posts()) : the_post(); $pf = _sg('PortfolioPost', TRUE)->isFeatured(get_the_ID()); ?>
							<?php $f = ($pf AND (_sg('Portfolio')->getFeaturedType() == 'yes' OR _sg('Portfolio')->getFeaturedType() == 'size')) ? '2x' : ''; ?>
							<div class="ef-item-p<?php echo (!empty($f)) ? ' ef-featured' : ''; ?>" data-type="<?php sg_the_portfolio_category(get_the_ID()); ?>" data-id="<?php the_ID(); ?>">
								<div class="ef-item-inner">
									<div class="proj-img">
										<?php if (_sg('Portfolio')->getHoverType() == 'link') { ?>
											<a class="ef-read-more" href="<?php the_permalink(); ?>">
										<?php } elseif (_sg('Portfolio')->getHoverType() == 'lightbox') { ?>
											<?php if (_sg('Portfolio')->getVT() == 'video' AND _sg('PortfolioPost')->getType(get_the_ID()) == 'video') { ?>
												<a class="lb lb_group video" href="<?php echo _sg('PortfolioPost')->getVideoURL(get_the_ID()); ?>" title="<?php the_title(); ?>">
											<?php } else { ?>
												<a class="lb lb_group" href="<?php echo wp_get_attachment_url(get_post_thumbnail_id(get_the_ID())); ?>" title="<?php the_title(); ?>">
											<?php } ?>
										<?php } ?>
											<?php echo get_the_post_thumbnail(get_the_ID(), 'sg_portfolio_th' . $f); ?>
										<?php if (_sg('Portfolio')->getHoverType() != 'all') { ?>
											</a>
										<?php } ?>
										<?php echo ($pf AND (_sg('Portfolio')->getFeaturedType() == 'yes' OR _sg('Portfolio')->getFeaturedType() == 'badge')) ? '<div class="ef-badge"></div>' : ''; ?>
										<?php if (_sg('Portfolio')->getHoverType() == 'all') { ?>
											<div class="ef-overlay">
												<?php if (_sg('Portfolio')->getVT() == 'video' AND _sg('PortfolioPost')->getType(get_the_ID()) == 'video') { ?>
													<a class="lb lb_group video" href="<?php echo _sg('PortfolioPost')->getVideoURL(get_the_ID()); ?>" title="<?php the_title(); ?>"></a>
												<?php } else { ?>
													<a class="lb lb_group" href="<?php echo wp_get_attachment_url(get_post_thumbnail_id(get_the_ID())); ?>" title="<?php the_title(); ?>"></a>
												<?php } ?>
												<a class="ef-read-more" href="<?php the_permalink(); ?>"></a>
											</div>
										<?php } ?>
									</div>
								</div>
							</div>
						<?php endwhile; ?>
					</div>
				</div>
			<?php } else {
				echo '<div class="ef-page-content clearfix"><div style="padding:110px 30px;">' . sg_message(__('Portfolio is empty', SG_TDN)) . '</div></div>';
			} ?>
		</div>
		<?php sg_pagination($wp_query->max_num_pages, 'portfolio'); ?>
	</div>
</div>
<?php get_footer(); ?>